=== debian/changelog ===
nx-libs (2:3.5.99.27-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 28 Jun 2023 13:23:28 +0200

nx-libs (2:3.5.99.26-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 04 Feb 2021 14:34:17 +0100

nx-libs (2:3.5.99.25-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 04 Nov 2020 13:43:53 +0100

nx-libs (2:3.5.99.24-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 31 May 2020 12:54:58 +0200

nx-libs (2:3.5.99.23-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 30 Jan 2020 10:59:43 +0100

nx-libs (2:3.5.99.22-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 27 Aug 2019 15:44:17 +0200

nx-libs (2:3.5.99.21-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 05 Aug 2019 18:25:33 +0200

nx-libs (2:3.5.99.20-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 17 Apr 2019 11:03:42 +0200

nx-libs (2:3.5.99.19-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 01 Mar 2019 15:33:30 +0100

nx-libs (2:3.5.99.18-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 31 Jan 2019 14:09:11 +0100

nx-libs (2:3.5.99.17-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 20 Nov 2018 16:02:49 +0100

nx-libs (2:3.5.99.16-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 16 Mar 2018 23:51:34 +0100

nx-libs (2:3.5.99.15-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 07 Mar 2018 23:46:14 +0100

nx-libs (2:3.5.99.14-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 28 Feb 2018 10:53:17 +0100

nx-libs (2:3.5.99.13-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 16 Jan 2018 15:18:57 +0100

nx-libs (2:3.5.99.12-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 15 Dec 2017 12:23:12 +0100

nx-libs (2:3.5.99.11-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 15 Dec 2017 12:01:56 +0100

nx-libs (2:3.5.99.10-0.1) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 15 Sep 2017 14:57:20 +0200

nx-libs (2:3.5.99.9-0.1) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 30 Aug 2017 19:32:14 +0200

nx-libs (2:3.5.99.8-0.1) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 30 Jun 2017 21:21:09 +0200

nx-libs (2:3.5.99.7-0.1) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 05 May 2017 00:15:57 +0200

nx-libs (2:3.5.99.6-0.1) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 21 Apr 2017 16:24:19 +0200

nx-libs (2:3.5.99.5-0.1) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 11 Apr 2017 17:00:28 +0200

nx-libs (2:3.5.99.4-0.1) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 24 Feb 2017 22:19:27 +0000

nx-libs (2:3.5.99.3-0.1) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 19 Dec 2016 15:02:16 +0100

nx-libs (2:3.5.99.2-0.1) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.

